<?php
/*
    Theme: Fachschaft Computerlinguistik
    Header Template File
*/

get_header();
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <title>
            <?php
                if(is_home()) {
                    echo 'Blog | ';
                } elseif(is_search()) {
                    echo 'Suchergebnisse | ';
                } elseif(!is_front_page()) {
                    // get_the_title does not escape the returned values
                    // (see https://developer.wordpress.org/reference/functions/get_the_title/#comment-1653)
                    // So, to be on the safe side, we escape it here.
                    echo esc_html(get_the_title($post->ID)).' | ';
                }
                bloginfo('name');
            ?>
        </title>

        <link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_uri();?>" />
        <link rel="shortcut icon" href="<?php echo get_template_directory_uri();?>/img/favicon.png" />
        <link rel="alternate" type="application/rss+xml" title="fscoli blog" href="<?php bloginfo('rss2_url'); ?>" />

        <meta charset="<?php bloginfo('charset'); ?>" />
        <meta name="copyright" content="Fachschaft Computerlinguistik" />
        <meta name="description" content="<?php bloginfo('description');?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <?php wp_head(); ?>
    </head>
    <body class="<?php echo is_admin_bar_showing() ? 'has-admin-bar' : '';?>">
        <header>
            <a class="logo" href="<?php echo home_url();?>"></a>
            <a class="nav-toggle" href="#nav">Menü</a>
            <nav id="nav">
                <?php wp_nav_menu(array('container'=>'false')); ?>
            </nav>
        </header>
