<?php
/**
 * Template for the index page.
 *
 * WordPress identifies this file by its name (which MUST be index.php)
 * and displays it whenever it has to display lists of posts. Furthermore,
 * this page is used as the ultimate fallback page when there is no
 * other template available.
 *
 * @see https://codex.wordpress.org/Theme_Development#Index_.28index.php.29
 */

get_header();
?>
<aside class="levitating list-meta">
    <h1>
        <?php
            if ( is_category() ) {
                single_cat_title();
            } elseif ( is_archive() ) {
                single_month_title(' ');
            } else {
                echo "Blog";
            }
        ?>
    </h1>
    <br>
    <h2>Kategorien</h2>
    <br>
    <ul class="categories seamless box-links">
        <?php wp_list_categories(array('title_li'=>'')); ?>
    </ul>
    <br>
    <br>
    <h2>Archiv</h2>
    <br>
    <select onchange="document.location.href=this.options[this.selectedIndex].value;">
        <option>nach Monat</option>
        <?php wp_get_archives(array('format'=>'option')); ?>
    </select>
    <br>
    <br>
    <a href="<?php bloginfo('rss2_url'); ?>" class="rss">
        zum RSS-Feed
    </a>
</aside>

<main class="list">
    <?php while ( have_posts() ) : the_post(); ?>
        <article>
            <header
                <?php if ( has_post_thumbnail($post->ID) ) : ?>
                style="background-image:url('<?php echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); ?>');"
                <?php endif; ?>
            >
                <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
            </header>

            <div class="content">
                <?php the_excerpt(); ?>
            </div>

            <footer>
                <time><?php the_date(); ?></time>
            </footer>
        </article>
    <?php endwhile; ?>

    <div class="pagination">
        <div class="older-posts"><?php next_posts_link( '« Ältere Posts' ); ?></div>
        <div class="newer-posts"><?php previous_posts_link( 'Neuere Posts »' ); ?></div>
    </div>
</main>
<?php get_footer(); ?>
