<?php
/**
 * Template for pages.
 *
 * WordPress identifies this file by its name (which MUST be page.php).
 *
 * Pages make up the scaffolding of the website and can usually be reached via
 * different menu entries. They are expected to be always correct (or else somehow archived),
 * and the author and publication date is normally irrelevant (if anything, the date of the last edit
 * might be relevant).
 *
 * This means we neither display an author nor a date here.
 *
 * @see https://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 */

get_header();
?>
<main>
    <article>
        <header
        <?php
            echo ' style="background-image:url(\'';
            if ( has_post_thumbnail($post->ID) ) {
                echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
            } else {
                echo get_header_image();
            }
            echo '\');"';?> >
            <h1><?php echo get_the_title($post->ID); ?></h1>
        </header>
        <div class="content">
            <?php
                if ( !post_password_required() ) {
                    echo apply_filters('the_content', $post->post_content);
                } else {
                    echo get_the_password_form();
                }
            ?>
        </div>
        <footer></footer>
    </article>
</main>
<?php get_footer(); ?>
